### File

`packages/core/src/lib/services/growl/eui-growl.service.ts`

### Index

###### Properties

- ariaGrowlLive
- growlCallback
- growlLife
- growlMessages
- growlPosition
- isCloseAllSticky
- isGrowlSticky

###### Methods

- clearGrowl
- growl
- growlError
- growlInfo
- growlSuccess
- growlWarning

### Methods

clearGrowl
`clearGrowl()`
Returns : `void`

growl
`growl(msg: EuiGrowlMessage, isSticky?: boolean, isMultiple?: boolean, life?: number, position?: string, callback?: () => void, ariaLive?: "off" | "polite" | "assertive")`

displays a growl UxMessage item, isSticky

Parameters :

Name | Type | Optional
msg | `EuiGrowlMessage` | No
isSticky | `boolean` | Yes
isMultiple | `boolean` | Yes
life | `number` | Yes
position | `string` | Yes
callback | `function` | Yes
ariaLive | `"off" | "polite" | "assertive"` | Yes

Returns : `void`

growlError
`growlError(msg: string, position?: string)`

Parameters :

Name | Type | Optional
msg | `string` | No
position | `string` | Yes

Returns : `void`

growlInfo
`growlInfo(msg: string, position?: string)`

Parameters :

Name | Type | Optional
msg | `string` | No
position | `string` | Yes

Returns : `void`

growlSuccess
`growlSuccess(msg: string, position?: string)`

Parameters :

Name | Type | Optional
msg | `string` | No
position | `string` | Yes

Returns : `void`

growlWarning
`growlWarning(msg: string, position?: string)`

Parameters :

Name | Type | Optional
msg | `string` | No
position | `string` | Yes

Returns : `void`

### Properties

ariaGrowlLive
Type : `"off" | "polite" | "assertive"`
Default value : `'polite'`

growlCallback
Type : `null`
Default value : `null`

growlLife
Type : `number`
Default value : `3000`

growlMessages
Type : `[]`
Default value : `[]`

growlPosition
Type : `string`
Default value : `'bottom-right'`

isCloseAllSticky
Default value : `false`

isGrowlSticky
Default value : `false`

# results matching ""

# No results matching ""